<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [IndustryData](./bitburner.industrydata.md) &gt; [requiredMaterials](./bitburner.industrydata.requiredmaterials.md)

## IndustryData.requiredMaterials property

Materials required for production and their amounts

**Signature:**

```typescript
requiredMaterials: Record<string, number>;
```
